For the complete documentation index, see llms.txt. This page is also available as Markdown.

Backups

Get Backups

get

Get Backups

Authorizations
X-API-KeystringRequired
Query parameters
pageinteger · min: 1Optional

page number

page_sizeinteger · min: 1Optional

items per page

orderstring · enumOptional

asc or desc

Possible values:
service_idstringOptional

filter by serviceId value

statusstringOptional

filter by status value

Responses
200

OK

application/json
backups_countintegerOptional

BackupsCount holds count of the backups

pages_countintegerOptional

PagesCount counter of all pages

get/skybackup/v1/backups
GET /skybackup/v1/backups HTTP/1.1
Host: api.skysql.com/
X-API-Key: YOUR_API_KEY
Accept: */*
{
  "backups": [
    {
      "binlog_file": "text",
      "binlog_gtid_position": "text",
      "binlog_position": "text",
      "cloud_provider": "gcp",
      "disk_size": "text",
      "disk_size_bytes": 1,
      "end_time": "text",
      "id": "text",
      "is_external_storage": true,
      "method": "text",
      "point_in_time": "text",
      "reference_full_backup": "text",
      "server_pod": "text",
      "service_id": "text",
      "service_name": "text",
      "start_time": "text",
      "status": "text",
      "storage_bytes": 1,
      "type": "text"
    }
  ],
  "backups_count": 1,
  "pages_count": 1
}

Get all Backups Schedules

get

Get all Backups Schedules

Authorizations
X-API-KeystringRequired
Query parameters
pageinteger · min: 1Optional

page number

page_sizeinteger · min: 1Optional

items per page

service_idstring · min: 3Required

ServiceID Query

typestringOptional

full,incremental,binarylog or dump

orderstring · enumOptional

asc or desc

Possible values:
Responses
200

OK

application/json
pages_countintegerOptional

PagesCount counter of all pages

schedules_countintegerOptional

SchedulesCount holds count of the backups schedules

get/skybackup/v1/backups/schedules
GET /skybackup/v1/backups/schedules?service_id=text HTTP/1.1
Host: api.skysql.com/
X-API-Key: YOUR_API_KEY
Accept: */*
{
  "pages_count": 1,
  "schedules": [
    {
      "cloud_provider": "gcp",
      "created_at": "text",
      "id": 1,
      "labels": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "message": "text",
      "schedule": "once",
      "scheduled_at": "text",
      "service_id": "text",
      "service_name": "text",
      "status": "text",
      "suspended": true,
      "type": "text",
      "updated_at": "text"
    }
  ],
  "schedules_count": 1
}

Create Backup Schedule

post

Create Backup Schedule

Authorizations
X-API-KeystringRequired
Body
backup_typestring · enumRequired

supported types of the backups are:

  • full - Full backups create a complete backup of the database server in an remote bucket directory. The time the backup takes depends on the size of the databases you're backing up.
  • incremental - incremental backups update a previous backup with whatever changes to the data have occurred since the backup
  • binarylog - backups the binary log, which contains a record of all changes to the databases, both data and structure. It consists of a set of closed binary log files.
  • dump - a backup that reproduces table structure and data, without copying the actual data files.
  • snapshot - a backup that captures the state of the database persistent volume at a specific point in time.
Possible values:
schedulestring · enumRequired

Schedules supported:

Possible values:
service_idstringRequired

unique id of the database service

Example: dbxxxxx
Responses
200

OK

application/json
cloud_providerstring · enumOptional

represents the cloud provider Enum=gcp;aws;onprem

Possible values:
created_atstringOptional

CreatedAt represents the time when the schedule was created

idintegerOptional

id of the operation

messagestringOptional

Message holds details about the backup

schedulestring · enumOptional

Schedules supported:

Possible values:
scheduled_atstringOptional

ScheduledAt represents schedule time of the backup

service_idstringOptional

service id of the database

service_namestringOptional

name of the database service

statusstringOptional

status of the backup

suspendedbooleanOptional

Suspended determines if the backup schedule is suspended or not when a backup schedule is suspended no new backups will be created default value is false

typestringOptional

Type of the backup

updated_atstringOptional

UpdatedAt represents the time when the schedule was updated

post/skybackup/v1/backups/schedules
POST /skybackup/v1/backups/schedules HTTP/1.1
Host: api.skysql.com/
X-API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 127

{
  "backup_type": "full",
  "external_storage": {
    "bucket": {
      "credentials": [
        1
      ],
      "path": "text"
    }
  },
  "schedule": "once",
  "service_id": "dbxxxxx"
}
{
  "cloud_provider": "gcp",
  "created_at": "text",
  "id": 1,
  "labels": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "message": "text",
  "schedule": "once",
  "scheduled_at": "text",
  "service_id": "text",
  "service_name": "text",
  "status": "text",
  "suspended": true,
  "type": "text",
  "updated_at": "text"
}

Get Backup schedule

get

Get Backup schedule

Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

Backup ID

Responses
200

OK

application/json
cloud_providerstring · enumOptional

represents the cloud provider Enum=gcp;aws;onprem

Possible values:
created_atstringOptional

CreatedAt represents the time when the schedule was created

idintegerOptional

id of the operation

messagestringOptional

Message holds details about the backup

schedulestring · enumOptional

Schedules supported:

Possible values:
scheduled_atstringOptional

ScheduledAt represents schedule time of the backup

service_idstringOptional

service id of the database

service_namestringOptional

name of the database service

statusstringOptional

status of the backup

suspendedbooleanOptional

Suspended determines if the backup schedule is suspended or not when a backup schedule is suspended no new backups will be created default value is false

typestringOptional

Type of the backup

updated_atstringOptional

UpdatedAt represents the time when the schedule was updated

get/skybackup/v1/backups/schedules/{id}
GET /skybackup/v1/backups/schedules/{id} HTTP/1.1
Host: api.skysql.com/
X-API-Key: YOUR_API_KEY
Accept: */*
{
  "cloud_provider": "gcp",
  "created_at": "text",
  "id": 1,
  "labels": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "message": "text",
  "schedule": "once",
  "scheduled_at": "text",
  "service_id": "text",
  "service_name": "text",
  "status": "text",
  "suspended": true,
  "type": "text",
  "updated_at": "text"
}

Delete Backup Schedule

delete

Delete Backup Schedule

Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

Backup ID

Responses
200

OK

No content

delete/skybackup/v1/backups/schedules/{id}
DELETE /skybackup/v1/backups/schedules/{id} HTTP/1.1
Host: api.skysql.com/
X-API-Key: YOUR_API_KEY
Accept: */*

No content

Update Backup Schedules details

patch

Update Backup Schedules details

Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

Backup ID

Body
backup_typestring · enumOptional

supported types of the backups are:

  • full - Full backups create a complete backup of the database server in an remote bucket directory. The time the backup takes depends on the size of the databases you're backing up.
  • incremental - incremental backups update a previous backup with whatever changes to the data have occurred since the backup
  • binarylog - backups the binary log, which contains a record of all changes to the databases, both data and structure. It consists of a set of closed binary log files.
  • dump - a backup that reproduces table structure and data, without copying the actual data files.
  • snapshot - a backup that captures the state of the database persistent volume at a specific point in time.
Possible values:
schedulestring · enumOptional

Schedules supported:

Possible values:
suspendedbooleanOptional

determines if the backup schedule is suspended or not when a backup schedule is suspended no new backups will be created default value is false

Responses
200

OK

application/json
cloud_providerstring · enumOptional

represents the cloud provider Enum=gcp;aws;onprem

Possible values:
created_atstringOptional

CreatedAt represents the time when the schedule was created

idintegerOptional

id of the operation

messagestringOptional

Message holds details about the backup

schedulestring · enumOptional

Schedules supported:

Possible values:
scheduled_atstringOptional

ScheduledAt represents schedule time of the backup

service_idstringOptional

service id of the database

service_namestringOptional

name of the database service

statusstringOptional

status of the backup

suspendedbooleanOptional

Suspended determines if the backup schedule is suspended or not when a backup schedule is suspended no new backups will be created default value is false

typestringOptional

Type of the backup

updated_atstringOptional

UpdatedAt represents the time when the schedule was updated

patch/skybackup/v1/backups/schedules/{id}
PATCH /skybackup/v1/backups/schedules/{id} HTTP/1.1
Host: api.skysql.com/
X-API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 57

{
  "backup_type": "full",
  "schedule": "once",
  "suspended": true
}
{
  "cloud_provider": "gcp",
  "created_at": "text",
  "id": 1,
  "labels": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "message": "text",
  "schedule": "once",
  "scheduled_at": "text",
  "service_id": "text",
  "service_name": "text",
  "status": "text",
  "suspended": true,
  "type": "text",
  "updated_at": "text"
}

Get All Backups per service

get

Get All Backups per service

Authorizations
X-API-KeystringRequired
Path parameters
service_idstring · min: 5Required

Service ID

Responses
200

OK

application/json

holds a related data for the given backup

binlog_filestringOptional

name of the binary log file

binlog_gtid_positionstringOptional

looks up the position in the current binlog, and returns a string representation of the corresponding GTID position

binlog_positionstringOptional

position inside the binary log file

cloud_providerstring · enumOptional

represents the cloud provider Enum=gcp;aws;onprem

Possible values:
disk_sizestringOptional

required disk size in order to restore this backup in human readable format

disk_size_bytesintegerOptional

disk size in order to restore this backup in bytes

end_timestringOptional

execution end time of the backup

idstringOptional

unique id of the backup

is_external_storagebooleanOptional

determines if the backup is stored in external storage

methodstringOptional

binary tool or implementation used to create a backup

point_in_timestringOptional

timestamp represents date and time value in 'CCYY-MM-DD hh:mm:ss' format

reference_full_backupstringOptional

reference to the full backup

server_podstringOptional

name of the database pod from which the backup is created

service_idstringOptional

unique id of the database service

service_namestringOptional

name of the database service

start_timestringOptional

execution start time of the backup

statusstringOptional

status of the backup execution

storage_bytesintegerOptional

represents size of the backup in bytes

typestringOptional

supported types of the backups are:

  • full - Full backups create a complete backup of the database server in an remote bucket directory. The time the backup takes depends on the size of the databases you're backing up.
  • incremental - incremental backups update a previous backup with whatever changes to the data have occurred since the backup
  • binarylog - backups the binary log, which contains a record of all changes to the databases, both data and structure. It consists of a set of closed binary log files.
  • dump - a backup that reproduces table structure and data, without copying the actual data files.
  • snapshot - a backup that captures the state of the database persistent volume at a specific point in time.
get/skybackup/v1/backups/{service_id}
GET /skybackup/v1/backups/{service_id} HTTP/1.1
Host: api.skysql.com/
X-API-Key: YOUR_API_KEY
Accept: */*
{
  "binlog_file": "text",
  "binlog_gtid_position": "text",
  "binlog_position": "text",
  "cloud_provider": "gcp",
  "disk_size": "text",
  "disk_size_bytes": 1,
  "end_time": "text",
  "id": "text",
  "is_external_storage": true,
  "method": "text",
  "point_in_time": "text",
  "reference_full_backup": "text",
  "server_pod": "text",
  "service_id": "text",
  "service_name": "text",
  "start_time": "text",
  "status": "text",
  "storage_bytes": 1,
  "type": "text"
}

Last updated

Was this helpful?